Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 232344 - Improve the html Code completion in Facelets file to offer attributes from http://xmlns.jcp.org/jsf namespace
Improve the html Code completion in Facelets file to offer attributes from ht...
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
7.3.1
All All
: P2 (vote)
: 8.0
Assigned To: Martin Fousek
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 18:17 UTC by Martin Fousek
Modified: 2013-11-17 02:12 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Fousek 2013-07-07 18:17:35 UTC
Since the JSF2.2 supports HTML friednly markup, the CC should show at HTML elements of facelets also elements from the http://xmlns.jcp.org/jsf namespace.
It means that it should offer at "a" tag, elements like "disabled, fragment" etc. At least values which are not ignored by the renderer:
jsf-2.2 spec -> renderkitdocs/index.html
Comment 1 Martin Fousek 2013-11-15 09:24:51 UTC
CC for jsf: attributes implemented in web-main #5dcd0e6f4ff9.
Comment 2 Quality Engineering 2013-11-17 02:12:58 UTC
Integrated into 'main-silver', will be available in build *201311170002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/5dcd0e6f4ff9
User: Martin Fousek <marfous@netbeans.org>
Log: #232344 - Improve the html Code completion in Facelets file to offer attributes from http://xmlns.jcp.org/jsf namespace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo